Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Properties
Cloo.ComputeEventBase Class Reference

Represents the parent type to any Cloo event types. More...

Inheritance diagram for Cloo.ComputeEventBase:

List of all members.

## Protected Member Functions
override void | Dispose (bool manual)
| Releases the associated OpenCL object.
void | HookNotifier ()
virtual void | OnCompleted (object sender, ComputeCommandStatusArgs evArgs)
virtual void | OnAborted (object sender, ComputeCommandStatusArgs evArgs)
## Properties
ComputeCommandStatusChanged | Aborted
| Occurs when the command associated with the event is abnormally terminated.
ComputeCommandStatusChanged | Completed
| Occurs when `ComputeEventBase.Status` changes to `ComputeCommandExecutionStatus.Complete`.
CLEventHandle | Handle`[get, set]`
| The handle of the ComputeEventBase.
ComputeContext | Context`[get, set]`
| Gets the ComputeContext associated with the ComputeEventBase.
long | FinishTime`[get]`
| Gets the ComputeDevice time counter in nanoseconds when the associated command has finished execution.
long | EnqueueTime`[get]`
| Gets the ComputeDevice time counter in nanoseconds when the associated command is enqueued in the ComputeCommandQueue by the host.
ComputeCommandExecutionStatus | Status`[get]`
| Gets the execution status of the associated command.
long | StartTime`[get]`
| Gets the ComputeDevice time counter in nanoseconds when the associated command starts execution.
long | SubmitTime`[get]`
| Gets the ComputeDevice time counter in nanoseconds when the associated command that has been enqueued is submitted by the host to the device.
ComputeCommandType | Type`[get, set]`
| Gets the ComputeCommandType associated with the event.

## Detailed Description

Represents the parent type to any Cloo event types.

See also:
  ComputeEvent, ComputeUserEvent

## Member Function Documentation

override void Cloo.ComputeEventBase.Dispose | ( | bool | manual | ) | `[protected, virtual]`

Releases the associated OpenCL object.

Parameters:

  manual | Specifies the operation mode of this method.

manual must be `true` if this method is invoked directly by the application.

Implements Cloo.ComputeResource.

Reimplemented in Cloo.ComputeEvent.

void Cloo.ComputeEventBase.HookNotifier | ( |  | ) | `[protected]`

virtual void Cloo.ComputeEventBase.OnAborted | ( | object | sender,
|  | ComputeCommandStatusArgs | evArgs
| ) |  | `[protected, virtual]`

Parameters:

  sender |
  evArgs |

virtual void Cloo.ComputeEventBase.OnCompleted | ( | object | sender,
|  | ComputeCommandStatusArgs | evArgs
| ) |  | `[protected, virtual]`

Parameters:

  sender |
  evArgs |

## Property Documentation

ComputeCommandStatusChanged Cloo.ComputeEventBase.Aborted`[add, remove]`

Occurs when the command associated with the event is abnormally terminated.

Requires OpenCL 1.1.

ComputeCommandStatusChanged Cloo.ComputeEventBase.Completed`[add, remove]`

Occurs when `ComputeEventBase.Status` changes to `ComputeCommandExecutionStatus.Complete`.

Requires OpenCL 1.1.

ComputeContext Cloo.ComputeEventBase.Context`[get, set]`

Gets the ComputeContext associated with the ComputeEventBase.

The ComputeContext associated with the ComputeEventBase.

long Cloo.ComputeEventBase.EnqueueTime`[get]`

Gets the ComputeDevice time counter in nanoseconds when the associated command is enqueued in the ComputeCommandQueue by the host.

The ComputeDevice time counter in nanoseconds when the associated command is enqueued in the ComputeCommandQueue by the host.

long Cloo.ComputeEventBase.FinishTime`[get]`

Gets the ComputeDevice time counter in nanoseconds when the associated command has finished execution.

The ComputeDevice time counter in nanoseconds when the associated command has finished execution.

CLEventHandle Cloo.ComputeEventBase.Handle`[get, set]`

The handle of the ComputeEventBase.

long Cloo.ComputeEventBase.StartTime`[get]`

Gets the ComputeDevice time counter in nanoseconds when the associated command starts execution.

The ComputeDevice time counter in nanoseconds when the associated command starts execution.

ComputeCommandExecutionStatus Cloo.ComputeEventBase.Status`[get]`

Gets the execution status of the associated command.

The execution status of the associated command or a negative value if the execution was abnormally terminated.

long Cloo.ComputeEventBase.SubmitTime`[get]`

Gets the ComputeDevice time counter in nanoseconds when the associated command that has been enqueued is submitted by the host to the device.

The ComputeDevice time counter in nanoseconds when the associated command that has been enqueued is submitted by the host to the device.

ComputeCommandType Cloo.ComputeEventBase.Type`[get, set]`

Gets the ComputeCommandType associated with the event.

The ComputeCommandType associated with the event.

The documentation for this class was generated from the following file:

- Cloo/Source/ComputeEventBase.cs